<?php

namespace App\Livewire;

use App\Models\Thvkn;
use Livewire\Component;
use Livewire\WithPagination;

class ThvknBdd extends Component
{
    use WithPagination;
    public $item, $ip, $login, $password;
    public $addItem = false;
    
    public $search ='';
    public $editId = 0;
    public $checkedBox = [];
    public function mount()
    {
        // Initialisation avec une seule entrée vide
        $this->newEntries = [['item' => '', 'ip' => '', 'login' => '', 'password' => '']];
    }
   
    public function startEdit($id)
    {
        $this->editId = $id; 
    }
    public function render()
    {
        return view('livewire.thvkn-bdd',[
            'items' => Thvkn::where('Item','LIKE',"%{$this->search}%")->orwhere('Ip','LIKE',"%{$this->search}%")->
            orwhere('Login','LIKE',"%{$this->search}%")->orwhere('Password','LIKE',"%{$this->search}%")
            ->simplePaginate(5)
        ]);
    }
    public function delete($id)
    {
        Thvkn::find($id)->delete();
        return to_route('item');
    }
    public function deletechecked()
    {
        Thvkn::destroy($this->checkedBox);
        $this->checkedBox = [];
        return to_route('item');
    }
    public function create()
    {
        $this->addItem = true;

    }
    
    public function cancel(){
        $this->addItem = False;
        return to_route('item');
    }
    public function store()
    {
        Thvkn::create([
            'Item'=>$this->item,
            'Ip'=>$this->ip,
            'Login'=>$this->login,
            'Password'=>$this->password,
        ]);
        return to_route('item');
           
    }
}
